# -*- coding: utf-8 -*-

import unittest
from pgbouncemgr.node_config import *


class NodeConfigTests(unittest.TestCase):
    def test_CreateNewNodeConfig(self):
        config = NodeConfig("test")

        self.assertEqual("test", config.node_id)
        self.assertEqual(None, config.pgbouncer_config)
        self.assertEqual(None, config.host)
        self.assertEqual(None, config.port)

    def test_SetPgbouncerConfig_UpdatesConfig(self):
        config = NodeConfig("test")
        config.set_pgbouncer_config("/path/to/config")

